- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
WP5Part Class Referenceabstract

`#include <WP5Part.h>`

Inheritance diagram for WP5Part:

## Public Member Functions
virtual | ~WP5Part ()
virtual void | parse (WP5Listener *listener)=0

## Static Public Member Functions
static WP5Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Constructor & Destructor Documentation

virtual WP5Part::~WP5Part | ( |  | ) |
| inline virtual

## Member Function Documentation

WP5Part * WP5Part::constructPart | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | const unsigned char | readVal
| ) |  |
| static

Referenced by WP5Parser::parseDocument().

virtual void WP5Part::parse | ( | WP5Listener * | listener | ) |
| pure virtual

Implemented in WP5SoftHyphenFunction, WP5AttributeOffGroup, WP5HyphenFunction, WP5DefinitionGroup, WP5AttributeOnGroup, WP5HardSpaceFunction, WP5SpaceFunction, WP5EOLFunction, WP5FootnoteEndnoteGroup, WP5PageFormatGroup, WP5UnsupportedVariableLengthGroup, WP5ExtendedCharacterGroup, WP5HeaderFooterGroup, WP5TableEOLGroup, WP5TableEOPGroup, WP5AttributeGroup, WP5BoxGroup, WP5IndentGroup, WP5TabGroup, WP5UnsupportedFixedLengthGroup, and WP5FontGroup.

Referenced by WP5Parser::parseDocument().

The documentation for this class was generated from the following files:

- WP5Part.h
- WP5Part.cpp